/********************************************************************************************
 *
 * Copyright 2012-2018  Frank Gollnik  <http://www.jabotics.org>
 *
 * 
 * This file is part of the Java software package org.jabotics (in the following: Jabotics).
 * 
 * Jabotics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Jabotics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Jabotics.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * 
 * Diese Datei ist Teil des Java-Software-Pakets org.jabotics (im Folgenden kurz: Jabotics).
 * 
 * Jabotics ist Freie Software: Sie können es unter den Bedingungen
 * der GNU General Public License, wie von der Free Software Foundation,
 * Version 3 der Lizenz oder (nach Ihrer Wahl) jeder späteren
 * veröffentlichten Version, weiterverbreiten und/oder modifizieren.
 * 
 * Jabotics wird in der Hoffnung, dass es nützlich sein wird, aber
 * OHNE JEDE GEWÄHRLEISTUNG, bereitgestellt; sogar ohne die implizite
 * Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
 * Siehe die GNU General Public License für weitere Details.
 * 
 * Sie sollten eine Kopie der GNU General Public License zusammen mit Jabotics
 * erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.
 * 
 *******************************************************************************************/


package org.jabotics.robot.compile;


/**
 * Klasse CS: "Compiler Settings"
 * 
 * @author  Frank Gollnik
 * @version 1.1.2
 */
public class CS
{
    ///////////////////////////////////////////////////////////////////////////////
    // global setting:
    ///////////////////////////////////////////////////////////////////////////////

    // product:
    static public final boolean NXT = false;
    static public final boolean EV3 = true;
    static public final boolean RASPI = false;
    static public final boolean SIM = false;

    // load balancing for timed threads:
    static public final boolean TIMED_THREAD_DILATATION = false;
    static public final boolean TIMED_THREAD_DEPENDENCIES = SIM;
    static public final boolean TIMED_THREAD_NANOSECONDS = !NXT;

    // sensor event handling:
    static public final boolean SENSOR_EVENT_DISPATCHER_ENABLED = SIM;

    // session support (restart of robot executables)
    static public final boolean SESSIONS_ENABLED = SIM;

    // debugging:
    static public final boolean ASSERTS = false;
    static public final boolean LOGGING = false;
    //static public final boolean UNIT_TESTS = false;

    static public final boolean LOGGING_TIME_DILATATION = TIMED_THREAD_DILATATION && (LOGGING || false);

    ///////////////////////////////////////////////////////////////////////////////
    // settings for package simulation:
    ///////////////////////////////////////////////////////////////////////////////

    // debugging:
    static public final boolean ASSERTS_SIM = false;
    static public final boolean LOGGING_SIM = false;
    static public final boolean ASSERTS_SIM2 = false;
    static public final boolean LOGGING_SIM2 = false;

    ///////////////////////////////////////////////////////////////////////////////
    // settings for package core:
    ///////////////////////////////////////////////////////////////////////////////

    // debugging:
    static public final boolean ASSERTS_CORE = ASSERTS || false;
    static public final boolean LOGGING_CORE = LOGGING || false;

    ///////////////////////////////////////////////////////////////////////////////
    // settings for package util:
    ///////////////////////////////////////////////////////////////////////////////

    // debugging:
    static public final boolean ASSERTS_UTIL = ASSERTS || false;
    static public final boolean LOGGING_UTIL = LOGGING || false;

    ///////////////////////////////////////////////////////////////////////////////
    // Are there any logging directives?
    ///////////////////////////////////////////////////////////////////////////////

    static public final boolean LOG_BUFFER = LOGGING_SIM || LOGGING_SIM2 || LOGGING_CORE || LOGGING_UTIL;
}
