/********************************************************************************************
 *
 * Copyright 2012-2018  Frank Gollnik  <http://www.jabotics.org>
 * 
 * 
 * This file is part of the Java software package org.jabotics (in the following: Jabotics).
 * 
 * Jabotics is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Jabotics is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Jabotics.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * 
 * Diese Datei ist Teil des Java-Software-Pakets org.jabotics (im Folgenden kurz: Jabotics).
 * 
 * Jabotics ist Freie Software: Sie können es unter den Bedingungen
 * der GNU General Public License, wie von der Free Software Foundation,
 * Version 3 der Lizenz oder (nach Ihrer Wahl) jeder späteren
 * veröffentlichten Version, weiterverbreiten und/oder modifizieren.
 * 
 * Jabotics wird in der Hoffnung, dass es nützlich sein wird, aber
 * OHNE JEDE GEWÄHRLEISTUNG, bereitgestellt; sogar ohne die implizite
 * Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
 * Siehe die GNU General Public License für weitere Details.
 * 
 * Sie sollten eine Kopie der GNU General Public License zusammen mit Jabotics
 * erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.
 * 
 *******************************************************************************************/

package org.jabotics.test.robot;



import org.jabotics.robot.defs.*;
import org.jabotics.robot.adapter.XAdapter;

/**
 * Beschreibe hier die Klasse XEndlosdemo.
 * 
 * @author  Frank Gollnik
 * @version 1.1.2
 */
public class XEndlosdemo
{
    static private final ISessionAdapter sSession = XAdapter.getFactory().getSessionAdapter();
    static
    {
        sSession.setSimulationMode(ESimulationMode.TEST);
    }

    public static void main(String[] args)
    {
        sSession.importPreferences(TestFollowMe.class);
        sSession.reset();
        XAdapter.getFactory().getTimerAdapter().msDelay(4000);
        
        while (true)
        {
            sSession.importPreferences(TestFollowMe.class);
            sSession.reset();
            TestFollowMe roboterTFM = new TestFollowMe();
            roboterTFM.trailer();
            roboterTFM.run();

            sSession.importPreferences(TestToTheLight.class);
            sSession.reset();
            TestToTheLight roboterTTL = new TestToTheLight();
            roboterTTL.trailer();
            roboterTTL.run();

            sSession.importPreferences(TestOutOfHere.class);
            sSession.reset();
            TestOutOfHere roboterOOH = new TestOutOfHere();
            roboterOOH.trailer();
            roboterOOH.run();

            sSession.importPreferences(TestTanzmarie.class);
            sSession.reset();
            TestTanzmarie roboterTm = new TestTanzmarie();
            roboterTm.trailer();
            roboterTm.run();
        }
    }

}
